#define __CPP_INIT__
#include <rtl_cpp.h>
#include "cldef.h"

pthread_t thread;

A *ptr_b;

void * start_routine(void *arg)
{
	struct sched_param p;
	p . sched_priority = 1;
	pthread_setschedparam (pthread_self(), SCHED_FIFO, &p);

	pthread_make_periodic_np (pthread_self(), gethrtime(), 500000000);
	
	ptr_b=new B((unsigned) arg);
	rtl_printf("Pointer: %x\n", ptr_b);
	if(ptr_b == 0)
		rtl_printf("Error!!!!\n");
	while (1) {
		pthread_wait_np ();
		if(ptr_b != 0)
			ptr_b -> print();
		rtl_printf("I'm here; my arg is %x\n", (unsigned) arg);
	}
	return 0;
}


int init_module(void) {
	__do_global_ctors_aux();
	ptr_b = new B(42); /* thr truth is 42 */
	ptr_b -> print();
	return pthread_create (&thread, NULL, start_routine, 0);
}

void cleanup_module(void) {
	pthread_delete_np (thread);
	delete ptr_b;
	__do_global_dtors_aux();
}
