#define BASE_ADDRESS 0x200

#define FULL_MINUS 0x00
#define FULL_PLUS  0xffff
#define GROUND_LEVEL 0x8000

#define START_AD_CONVERSION BASE_ADDRESS
#define AD_LOW  BASE_ADDRESS
#define AD_HIGH  BASE_ADDRESS + 0x01

#define CHANNEL_MUX BASE_ADDRESS + 0x02
#define DIGITAL_IO  BASE_ADDRESS + 0x03

#define DA0_LOW  BASE_ADDRESS + 0x04
#define DA0_HIGH BASE_ADDRESS + 0x05

#define DA1_LOW  BASE_ADDRESS + 0x06
#define DA1_HIGH BASE_ADDRESS + 0x07

#define STATUS_REG BASE_ADDRESS + 0x08

#define AD0_FIFO 1 /* oscilloscope widget */

#define AD1_FIFO 2 /* analogs widget */
#define AD2_FIFO 3 
#define AD3_FIFO 4
#define AD4_FIFO 5

#define DA0_FIFO 6 /* analogs widget */
#define DA1_FIFO 7

#define DIO_FIFO_OUT 8
#define DIO_FIFO_IN 9


