/***************************************************************************
                          output.h  -  description
                             -------------------
    begin                : Mon Mar 27 2000
    copyright            : (C) 2000 by 
    email                : ivanmr@altavista.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OUTPUT_H
#define OUTPUT_H

#include "dualvariable.h"

/**
  *@author Ivan Martinez
  */

#include "loggingfifo.h"

class CBlock;

class COutput : public CDualVariable {
public:
	/** Constructor */
	COutput();

	/** Destructor */
	~COutput();

	/** Returns the container of this component */
	const CBlock* Container() const;

	/** Returns if the argument is "COutput" or one of its base	classes */
	virtual bool DescendantOf(const string&) const;
protected:
	/** Sets the identifier of the global variable */
	virtual void Arrange(void* = NULL);
};

#endif
