/***************************************************************************
                          fixedinput.cpp  -  description
                             -------------------
    begin                : Fri Mar 2 2001
    copyright            : (C) 2001 by Ivan Martinez
    email                : ivanmr@altavista.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "fixedinput.h"

#include "loop.h"

CFixedInput::CFixedInput(CFixedOperationBlock* pContainer)
{
	SetContainer(pContainer);
}

CFixedInput::~CFixedInput()
{
}

bool CFixedInput::AcceptsContainer(const CCodeGenerator* pContainer)
{
	AddError(103);
	
	return false;
}

bool CFixedInput::DescendantOf(const string& ClassName) const
{
	if (ClassName == "CFixedInput")
		return true;
	else
		return CInput::DescendantOf(ClassName);
}

string CFixedInput::Class() const
{
	return "CFixedInput";
}

const CFixedOperationBlock* CFixedInput::Container() const
{
	return (CFixedOperationBlock*)CCodeGenerator::Container();
}

const string& CFixedInput::Type() const
{
	return Container()->IOsType();
}