/***************************************************************************
                          functionoutput.cpp  -  description
                             -------------------
    begin                : Mon Mar 27 2000
    copyright            : (C) 2000 by 
    email                : ivanmr@altavista.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "functionoutput.h"

CFunctionOutput::CFunctionOutput()
{
}

CFunctionOutput::~CFunctionOutput()
{
}

string CFunctionOutput::Class() const
{
	return "CFunctionOutput";
}

bool CFunctionOutput::AcceptsContainer(const CCodeGenerator* pContainer)
{
	if (pContainer->DescendantOf("CFunction"))
	{
		SetContainer(pContainer);
		return true;
	}
	else
	{
		AddError(101);
		return false;
	}
}

bool CFunctionOutput::DescendantOf(const string& ClassName) const
{
	if (ClassName == "CFunctionOutput")
		return true;
	else
		return COutput::DescendantOf(ClassName);
}

const CFunction* CFunctionOutput::Container() const
{
	return (CFunction*) COutput::Container();
}

bool CFunctionOutput::SetType(const string& Type)
{
	CVariable::SetType(Type);

	if (IllegalCIdentifier(Type))
	{
		AddError(602);
		return false;
	}	
	else
		return true;
}
