/***************************************************************************
                          fixedoutput.cpp  -  description
                             -------------------
    begin                : Fri Mar 2 2001
    copyright            : (C) 2001 by Ivan Martinez
    email                : ivanmr@altavista.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <fixedoutput.h>

#include <loop.h>
#include <input.h>

CFixedOutput::CFixedOutput(CFixedOperationBlock* pContainer)
{
	SetContainer(pContainer);
}

CFixedOutput::~CFixedOutput()
{
}

bool CFixedOutput::AcceptsContainer(const CCodeGenerator*)
{
	AddError(103);
	
	return false;
}

string CFixedOutput::Class() const
{
	return "CFixedOutput";
}

const CFixedOperationBlock* CFixedOutput::Container() const
{
	return (CFixedOperationBlock*) COutput::Container();
}

bool CFixedOutput::DescendantOf(const string& ClassName) const
{
	if (ClassName == "CFixedOutput")
		return true;
	else
		return COutput::DescendantOf(ClassName);
}

const string& CFixedOutput::Type() const
{
	return Container()->IOsType();
}
