/***************************************************************************
                          functioninput.cpp  -  description
                             -------------------
    begin                : Mon Mar 27 2000
    copyright            : (C) 2000 by Ivan Martinez
    email                : ivanmr@altavista.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <functioninput.h>

CFunctionInput::CFunctionInput()
{
}

CFunctionInput::~CFunctionInput()
{
}

string CFunctionInput::Class() const
{
	return "CFunctionInput";
}

bool CFunctionInput::AcceptsContainer(const CCodeGenerator* pContainer)
{
	if (pContainer->DescendantOf("CFunction"))
	{
		SetContainer(pContainer);
		return true;
	}
	else
	{
		AddError(101);
		return false;
	}
}

bool CFunctionInput::DescendantOf(const string& ClassName) const
{
	if (ClassName == "CFunctionInput")
		return true;
	else
		return CInput::DescendantOf(ClassName);
}

const CFunction* CFunctionInput::Container() const
{
	return (CFunction*) CCodeGenerator::Container();
}

bool CFunctionInput::SetType(const string& Type)
{
	CVariable::SetType(Type);

	if (IllegalCIdentifier(Type))
	{
		AddError(602);
		return false;
	}	
	else
		return true;
}
