//
// Real Time Example Application: logic
//
// The logic widget displays logic signals that are collected with real time
// tasks. This is only an example and no guarantees are implied or given.
//
// This application requires the QT toolkit is installed to compile.
// A Binary is supplied and has only been tested on a 486/33 machine
//
// Bill Crum
// New Mexico Institute of Technology
// tobor@nmt.edu

#include "logic.h"
#include <qapp.h>



int main( int argc, char **argv )
{
    QApplication a( argc, argv );
    Logic *logic = new Logic;
    logic->resize( 170, 80 );
    a.setMainWidget( logic );


    logic->show();
    return a.exec();
}
