/*
 * Copyright (C) 1999 FSM Labs (http://www.fsmlabs.com/)
 *  Written by Cort Dougan <cort@fsmlabs.com>
 *
 */
#ifndef __ARCH_RTL_SYNC__
#define __ARCH_RTL_SYNC__

#include <asm/ptrace.h>
#include <asm/atomic.h>
#include <asm/hw_irq.h>

typedef unsigned long rtl_irqstate_t;

extern struct int_control_struct rtl_hard_int_control;

#define __rtl_hard_cli() rtl_hard_int_control.int_cli()
#define __rtl_hard_sti() rtl_hard_int_control.int_sti()
#define __rtl_hard_save_flags(x) rtl_hard_int_control.int_save_flags(&(x))
#define __rtl_hard_restore_flags(x) rtl_hard_int_control.int_restore_flags(x)
#define __rtl_hard_savef_and_cli(x) do { rtl_hard_save_flags(x); rtl_hard_cli(); } while (0)

#endif
