// this is the file which must be build by the user to code
// his functions as an STEP5 like PLC
// E = Eingang = Input, M = Merker = Memory, A = Ausgang = Output

void OB21()	// this is called whenever the sps is (re)started
{
	RT(T1,1);
	RT(T2,1);
	RT(T3,1);
	RT(T4,1);
	RT(T5,1);
	M0_1 = SE(T1,0, 2000);
	M0_1 = SE(T1,1, 2000);
}

void PB1()
{
	M0_0 = A0_0 = SI(T1,E0_0,2000);
	A0_1 = SV(T2,E0_1,2000);
	A0_2 = SE(T3,E0_2,2000);
	A0_3 = SS(T4,E0_3,2000);
	A0_4 = SA(T5,E0_4,2000);
	if (E0_0)
		M0_1 = 1;
	if (E0_1)
		M0_1 = 0;
	A0_5 = !M0_1;
	A0_6 = M1_0;
	RT(T1,E0_7);
	RT(T2,E0_7);
	RT(T3,E0_7);
	RT(T4,E0_7);
	RT(T5,E0_7);
}

void PB2()
{
	M0_1 = E0_0 || E0_1;
	PB1();
	AB0 = EB1;
	AB0 = EB0 + EB1;
	A0_0 = (EB1 == EB0);
	A0_1 = (EB1 != EB0);
}

void PB3()
{
	
	ZL(Z1, E0_2, 3);
	AB0 = (byte)ZX(Z1);
	ZR(Z1, E0_0);
	A0_7 = N(ZV(Z1, E0_1));
}

void PB4()
{
	if (SE(T1,M0_0, 2000))
		M0_1 = 1;
	if (SE(T1,M0_1, 3000))
		M0_0 = 1;
	A0_0 = M0_1;
}

void OB1()// this is called every cycle!
{
	PB1();
}

