/***************************************************************************
                          fixedoperationblock.cpp  -  description
                             -------------------
    begin                : Thu Mar 1 2001
    copyright            : (C) 2001 by Ivan Martinez
    email                : ivanmr@altavista.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "fixedoperationblock.h"

CFixedOperationBlock::CFixedOperationBlock()
{
	m_IOsType = "float";
}

CFixedOperationBlock::~CFixedOperationBlock()
{
}

bool CFixedOperationBlock::DescendantOf(const string& ClassName) const
{
	if (ClassName == "CFixedOperationBlock")
		return true;
	else
		return CBlock::DescendantOf(ClassName);
}

const string& CFixedOperationBlock::IOsType() const
{
	return m_IOsType;
}

bool CFixedOperationBlock::SetIOsType(const string& Type)
{
	if (IllegalCIdentifier(Type))
	{
		AddError(3400);
		return false;
	}	
	else
	{
		m_IOsType = Type;
		return true;
	}
}

