/***************************************************************************
                          summinginput.cpp  -  description
                             -------------------
    begin                : Wed Mar 14 2001
    copyright            : (C) 2001 by Ivan Martinez
    email                : ivanmr@altavista.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "summinginput.h"

#include "summingpoint.h"

CSummingInput::CSummingInput(CSummingPoint* pContainer) :
	CFixedInput(pContainer)
{
	m_fNegated = false;
}

CSummingInput::~CSummingInput()
{
}

string CSummingInput::Class() const
{
	return "CSummingInput";
}

bool CSummingInput::DescendantOf(const string& ClassName) const
{
	if (ClassName == "CSummingInput")
		return true;
	else
		return CFixedInput::DescendantOf(ClassName);
}

bool CSummingInput::Negated() const
{
	return m_fNegated;
}

bool CSummingInput::SetNegated(bool fNegated)
{
	m_fNegated = fNegated;
}

