//
// Qt Example Application: dclock
//
// The digital clock widget in dclock.h/dclock.cpp demonstrates how to
// use and specialize an LCD number widget (QLCDNumber).
//

#include "analogs.h"
#include <qapp.h>


int main( int argc, char **argv )
{
    QApplication a( argc, argv );
    Analogs *analogs = new Analogs;

    if ((analogs->ad1 = open("/dev/rtf2", O_RDONLY)) < 0) {
      fprintf(stderr, "Error opening /dev/rtf2\n");
      exit(1);
    }
    if ((analogs->ad2 = open("/dev/rtf3", O_RDONLY)) < 0) {
      fprintf(stderr, "Error opening /dev/rtf3\n");
      exit(1);
    }
    if ((analogs->ad3 = open("/dev/rtf4", O_RDONLY)) < 0) {
      fprintf(stderr, "Error opening /dev/rtf4\n");
      exit(1);
    }
    if ((analogs->ad4 = open("/dev/rtf5", O_RDONLY)) < 0) {
      fprintf(stderr, "Error opening /dev/rtf5\n");
      exit(1);
    }
    if ((analogs->da0 = open("/dev/rtf6", O_WRONLY)) < 0) {
      fprintf(stderr, "Error opening /dev/rtf6\n");
      exit(1);
    }
    if ((analogs->da1 = open("/dev/rtf7", O_WRONLY)) < 0) {
      fprintf(stderr, "Error opening /dev/rtf7\n");
      exit(1);
    }


    analogs->resize( 400, 150 );
    a.setMainWidget( analogs );

    /*    rt_fifo_create(AD1_FIFO,1000);
    rt_fifo_create(AD2_FIFO,1000);
    rt_fifo_create(AD3_FIFO,1000);
    rt_fifo_create(AD4_FIFO,1000);
    rt_fifo_create(DA0_FIFO,1000);
    rt_fifo_create(DA1_FIFO,100); 
    */
    analogs->show();
    return a.exec();
}
