#ifndef RT_FIX_COMMON_H
#define RT_FIX_COMMON_H

#include "../include/rt_fix.h"

#define RT_FIX_UNKNOWN  -1
#define RT_FIX_ADD       0
#define RT_FIX_SUB       1
#define RT_FIX_MUL       2
#define RT_FIX_DIV       3
#define RT_FIX_SQRT      4
#define RT_FIX_SIN       5
#define RT_FIX_ASIN      6
#define RT_FIX_COS       7
#define RT_FIX_ACOS      8
#define RT_FIX_TAN       9
#define RT_FIX_EXP       10
#define RT_FIX_ROUND     11
#define RT_FIX_FLOOR     12
#define RT_FIX_CEIL      13
#define RT_FIX_FRAC      14
#define RT_FIX_LDEXP     15
#define RT_FIX_ABS       16

typedef struct _rt_fix_msg {
    int    command;
    rt_fix left_operand;
    rt_fix right_operand;
    rt_fix result;
    int    arg;
} rt_fix_msg;

#endif /* RT_FIX_COMMON_H */
