#include <Xm/Xm.h>
#include <Xm/DrawingA.h>
#include <Xm/MessageB.h>
#include <stdio.h>
#include <iostream.h>
#include <fstream.h>
#include <stdlib.h>
#include <sys/types.h>
#include <unistd.h>
#include "../modules/control.h"
#include "global.h"

Boolean record(XtPointer client_data) {

  int    rc[1];
  int    i, j;
  int    wert, bmin, bmax;
  int    drawit;
  char   *w, c, text[256], s[20];
  Arg    args[5];
  Widget dialog;
  int    retval;
  struct my_msg_struct msg;
  int    ma, k;
  static int    wert1[8]={0,0,0,0,0,0,0,0};
  static int    wert2[8]={0,0,0,0,0,0,0,0};
  static int    map[8]={0,0,0,0,0,0,0,0};
  static int    godown[8]={0,0,0,0,0,0,0,0};
  static int    freq[8]={0,0,0,0,0,0,0,0};
  static unsigned long ndata[8]={0,0,0,0,0,0,0,0};
  static unsigned long sum[8]={0,0,0,0,0,0,0,0};
  static int    sys_d[8]={0,0,0,0,0,0,0,0};
  static int    sys_r[8]={0,0,0,0,0,0,0,0};
  static int    mean[8]={0,0,0,0,0,0,0,0};
  static int    dia_d[8]={0,0,0,0,0,0,0,0};
  static int    dia_r[8]={0,0,0,0,0,0,0,0};
  static int    ampl[8]={0,0,0,0,0,0,0,0};
  static int    dydt_min[8]={0,0,0,0,0,0,0,0};
  static int    dydt_max[8]={0,0,0,0,0,0,0,0};
  static int    dydt_min_r[8]={0,0,0,0,0,0,0,0};
  static int    dydt_max_r[8]={0,0,0,0,0,0,0,0};
  int    dmin[7]={0,0,0,0,0,0,0};
  int    dmax[7]={0,0,0,0,0,0,0};

  extern void  clearscreen(Window window);
  extern void redraw(Window window);

  if (read(fd9, (char *) rc, sizeof(int))>0) {
    XtRemoveWorkProc(work_id);
    for (i=0; i<8; i++) {
      datei[i].close();
      derdat[i].close();
    }
    sprintf(text, "FIFO %d full ==> recording stopped!\n", rc[0]);
    sprintf(text, "%sYou may save all data sampled so far.\n", text);
    sprintf(text, "%sReducing sampling rate or\nincreasing trace length may help.",text);
    i=0;
    XtSetArg(args[i], XmNmessageString, XmStringCreateLtoR(text,XmFONTLIST_DEFAULT_TAG)); i++;
    XtSetArg(args[i], XmNtitle, "too bad ..."); i++;
    dialog=XmCreateWarningDialog(drawing_a, "info", args, i);
    XtUnmanageChild(XmMessageBoxGetChild(dialog, XmDIALOG_HELP_BUTTON));
    XtUnmanageChild(XmMessageBoxGetChild(dialog, XmDIALOG_CANCEL_BUTTON));
    XtManageChild(dialog);
    XtPopup(XtParent(dialog), XtGrabNone);
    reg.recon=0;
    msg.command=STOP_TASK; msg.value=0;
    write(fd8, &msg, sizeof(msg));
    msg.command=SET_SR; msg.value=1;
    write(fd8, &msg, sizeof(msg));
    msg.command=SET_CH; msg.value=0;
    write(fd8, &msg, sizeof(msg));
    msg.command=SET_POL; msg.value=0;
    write(fd8, &msg, sizeof(msg));
    while (read(fd9, (char *) rc, sizeof(int))>0) {;}
    XtSetSensitive(mymenu.file.f_menu,True);
    if (reg.store) XtSetSensitive(mymenu.file.s_data,True);
    XtSetSensitive(mymenu.recording.s_recording,True);
    XtSetSensitive(mymenu.recording.e_recording,False);
    XtSetSensitive(mymenu.calibrate.c_menu,True);
    XtSetSensitive(mymenu.options.srate,True);
    XtSetSensitive(mymenu.options.achannel,True);
    return(1);
  }

  drawit=1;
  w=(char*) &wert;
  for(i=0; i<8; i++) {
    if (ch[i].active || (dch[i].nch>0)) {
      ch[i].nread+=read(fd[i], (char *) ch[i].buf+ch[i].nread, 2*reg.nbuf-ch[i].nread);
      if (ch[i].nread>=2*reg.nbuf) {
	bmin=5000; bmax=-5000; drawit=0;
	for (j=0; j<7; j++) {dmin[j]=5000; dmax[j]=-5000;}
	for (j=0; j<reg.nbuf; j++) {
	  wert=0; *w=ch[i].buf[2*j]; *(w+1)=ch[i].buf[2*j+1];
	  if(wert<bmin) bmin=wert;
	  if(wert>bmax) bmax=wert;
	  if (dch[i].nch>0) {
	    // calculate moving average;
	    dch[i].masum+=wert;
	    dch[i].masum-=dch[i].mavg[map[i]];
	    ma=dch[i].masum/dch[i].movavg;
	    dch[i].mavg[map[i]]=wert; map[i]++;
	    if (map[i]>=dch[i].movavg) map[i]=0;
	    // set godown;
	    if (wert1[i]>wert2[i]) godown[i]=1;
	    if (wert1[i]<wert2[i]) godown[i]=0;
	    // calculate derivative;
	    if ((ma-wert2[i])>dydt_max[i]) dydt_max[i]=ma-wert2[i];
	    if ((ma-wert2[i])<dydt_min[i]) dydt_min[i]=ma-wert2[i];
	    // check for minimum;
	    if ((wert1[i]>=wert2[i]) && (wert2[i]<ma) && godown[i]) {
	      godown[i]=0;
	      dia_d[i]=wert2[i];
	    }
	    // check for maximum;
	    if ((wert1[i]<=wert2[i]) && (wert2[i]>ma) && !godown[i]) {
	      sys_d[i]=wert2[i];
	      if (sys_d[i]-dia_d[i]>=dch[i].threshold/dch[i].ampli) {
		if (reg.store) {
		  derdat[i].write(&ndata[i], sizeof(unsigned long));
		}
		// frequency procedure;
		if (dch[i].ch[0].active) {
		  freq[i]=(int)((float)4095*((float)reg.sr/(float)ndata[i]-dch[i].ch[0].cal.rw_low)/
				(dch[i].ch[0].cal.rw_high-dch[i].ch[0].cal.rw_low));
		  if (freq[i]<0)    freq[i]=0;
		  if (freq[i]>4095) freq[i]=4095;
		  if (freq[i]<dmin[0]) dmin[0]=freq[i];
		  if (freq[i]>dmax[0]) dmax[0]=freq[i];
		  if (reg.store) {
		    derdat[i].write(&freq[i], 2);
		  }
		}
		// maximum procedure;
		if (dch[i].ch[1].active || dch[i].ch[4].active) {
		  sys_r[i]=sys_d[i];
		  if (sys_r[i]<dmin[1]) dmin[1]=sys_r[i];
		  if (sys_r[i]>dmax[1]) dmax[1]=sys_r[i];
		  if (dch[i].ch[1].active && reg.store) {
		    derdat[i].write(&sys_r[i], 2);
		  }
		}
		// mean procedure;
		if (dch[i].ch[2].active) {
		  mean[i]=sum[i]/ndata[i];
		  if (mean[i]<dmin[2]) dmin[2]=mean[i];
		  if (mean[i]>dmax[2]) dmax[2]=mean[i];
		  if (reg.store) {
		    derdat[i].write(&mean[i], 2);
		  }
		}
		// minimum procedure;
		if (dch[i].ch[3].active || dch[i].ch[4].active) {
		  dia_r[i]=dia_d[i];
		  if (dia_r[i]<dmin[3]) dmin[3]=dia_r[i];
		  if (dia_r[i]>dmax[3]) dmax[3]=dia_r[i];
		  if (dch[i].ch[3].active && reg.store) {
		    derdat[i].write(&dia_r[i], 2);
		  }
		}
		// amplitude procedure;
		if (dch[i].ch[4].active) {
		  ampl[i]=sys_r[i]-dia_r[i];
		  if (ampl[i]<dmin[4]) dmin[4]=ampl[i];
		  if (ampl[i]>dmax[4]) dmax[4]=ampl[i];
		  if (reg.store) {
		    derdat[i].write(&ampl[i], 2);
		  }
		}
		// dydt_max procedure;
		if (dch[i].ch[5].active) {
		  dydt_max_r[i]=(int)((float)4095*
				      ((float)dydt_max[i]*(float)reg.sr-dch[i].ch[5].cal.rw_low)/
				      (dch[i].ch[5].cal.rw_high-dch[i].ch[5].cal.rw_low));
		  if (dydt_max_r[i]<0)    dydt_max_r[i]=0;
		  if (dydt_max_r[i]>4095) dydt_max_r[i]=4095;
		  if (dydt_max_r[i]<dmin[5]) dmin[5]=dydt_max_r[i];
		  if (dydt_max_r[i]>dmax[5]) dmax[5]=dydt_max_r[i];
		  if (reg.store) {
		    derdat[i].write(&dydt_max_r[i], 2);
		  }
		}
		// dydt_min procedure;
		if (dch[i].ch[6].active) {
		  dydt_min_r[i]=(int)((float)4095*
				      ((float)dydt_min[i]*(float)reg.sr-dch[i].ch[6].cal.rw_low)/
				      (dch[i].ch[6].cal.rw_high-dch[i].ch[6].cal.rw_low));
		  if (dydt_min_r[i]<0)    dydt_min_r[i]=0;
		  if (dydt_min_r[i]>4095) dydt_min_r[i]=4095;
		  if (dydt_min_r[i]<dmin[6]) dmin[6]=dydt_min_r[i];
		  if (dydt_min_r[i]>dmax[6]) dmax[6]=dydt_min_r[i];
		  if (reg.store) {
		    derdat[i].write(&dydt_min_r[i], 2);
		  }
		}
		// reset variables;
		sum[i]=0; ndata[i]=0;
		dydt_min[i]=0; dydt_max[i]=0;
	      }
	    }
	    // copy values;
	    sum[i]+=wert2[i]; ndata[i]++;
	    wert1[i]=wert2[i]; wert2[i]=ma;
	  } // end if;
	} // end for;
	ch[i].nread-=2*reg.nbuf;
	if (ch[i].active) {
	  ch[i].min[ch[i].last]=bmin;
	  ch[i].max[ch[i].last]=bmax;
	  ch[i].last++;
	  if (ch[i].last==reg.xpix) {ch[i].last=0; ch[i].addfirst=1;}
	  if (ch[i].addfirst) ch[i].first++;
	  if (ch[i].first==reg.xpix) ch[i].first=0;
	  if (reg.store) 
	    datei[i].write((unsigned char *) ch[i].buf, reg.nbuf * 2);
	}
	if (dch[i].ch[0].active) {
	  if (dmin[0]!=5000) 
	    dch[i].ch[0].min[dch[i].ch[0].last]=dmin[0];
	  else
	    dch[i].ch[0].min[dch[i].ch[0].last]=freq[i];
	  if (dmax[0]!=-5000) 
	    dch[i].ch[0].max[dch[i].ch[0].last]=dmax[0];
	  else
	    dch[i].ch[0].max[dch[i].ch[0].last]=freq[i];
	  dch[i].ch[0].last++;
	  if (dch[i].ch[0].last==reg.xpix) {dch[i].ch[0].last=0; dch[i].ch[0].addfirst=1;}
	  if (dch[i].ch[0].addfirst) dch[i].ch[0].first++;
	  if (dch[i].ch[0].first==reg.xpix) dch[i].ch[0].first=0;
	}
	if (dch[i].ch[1].active) {
	  if (dmin[1]!=5000) 
	    dch[i].ch[1].min[dch[i].ch[1].last]=dmin[1];
	  else
	    dch[i].ch[1].min[dch[i].ch[1].last]=sys_r[i];
	  if (dmax[1]!=-5000) 
	    dch[i].ch[1].max[dch[i].ch[1].last]=dmax[1];
	  else
	    dch[i].ch[1].max[dch[i].ch[1].last]=sys_r[i];
	  dch[i].ch[1].last++;
	  if (dch[i].ch[1].last==reg.xpix) {dch[i].ch[1].last=0; dch[i].ch[1].addfirst=1;}
	  if (dch[i].ch[1].addfirst) dch[i].ch[1].first++;
	  if (dch[i].ch[1].first==reg.xpix) dch[i].ch[1].first=0;
	}
	if (dch[i].ch[2].active) {
	  if (dmin[2]!=5000) 
	    dch[i].ch[2].min[dch[i].ch[2].last]=dmin[2];
	  else
	    dch[i].ch[2].min[dch[i].ch[2].last]=mean[i];
	  if (dmax[2]!=-5000) 
	    dch[i].ch[2].max[dch[i].ch[2].last]=dmax[2];
	  else
	    dch[i].ch[2].max[dch[i].ch[2].last]=mean[i];
	  dch[i].ch[2].last++;
	  if (dch[i].ch[2].last==reg.xpix) {dch[i].ch[2].last=0; dch[i].ch[2].addfirst=1;}
	  if (dch[i].ch[2].addfirst) dch[i].ch[2].first++;
	  if (dch[i].ch[2].first==reg.xpix) dch[i].ch[2].first=0;
	}
	if (dch[i].ch[3].active) {
	  if (dmin[3]!=5000) 
	    dch[i].ch[3].min[dch[i].ch[3].last]=dmin[3];
	  else
	    dch[i].ch[3].min[dch[i].ch[3].last]=dia_r[i];
	  if (dmax[3]!=-5000) 
	    dch[i].ch[3].max[dch[i].ch[3].last]=dmax[3];
	  else
	    dch[i].ch[3].max[dch[i].ch[3].last]=dia_r[i];
	  dch[i].ch[3].last++;
	  if (dch[i].ch[3].last==reg.xpix) {dch[i].ch[3].last=0; dch[i].ch[3].addfirst=1;}
	  if (dch[i].ch[3].addfirst) dch[i].ch[3].first++;
	  if (dch[i].ch[3].first==reg.xpix) dch[i].ch[3].first=0;
	}
	if (dch[i].ch[4].active) {
	  if (dmin[4]!=5000) 
	    dch[i].ch[4].min[dch[i].ch[4].last]=dmin[4];
	  else
	    dch[i].ch[4].min[dch[i].ch[4].last]=ampl[i];
	  if (dmax[4]!=-5000) 
	    dch[i].ch[4].max[dch[i].ch[4].last]=dmax[4];
	  else
	    dch[i].ch[4].max[dch[i].ch[4].last]=ampl[i];
	  dch[i].ch[4].last++;
	  if (dch[i].ch[4].last==reg.xpix) {dch[i].ch[4].last=0; dch[i].ch[4].addfirst=1;}
	  if (dch[i].ch[4].addfirst) dch[i].ch[4].first++;
	  if (dch[i].ch[4].first==reg.xpix) dch[i].ch[4].first=0;
	}
	if (dch[i].ch[5].active) {
	  if (dmin[5]!=5000) 
	    dch[i].ch[5].min[dch[i].ch[5].last]=dmin[5];
	  else
	    dch[i].ch[5].min[dch[i].ch[5].last]=dydt_max_r[i];
	  if (dmax[5]!=-5000) 
	    dch[i].ch[5].max[dch[i].ch[5].last]=dmax[5];
	  else
	    dch[i].ch[5].max[dch[i].ch[5].last]=dydt_max_r[i];
	  dch[i].ch[5].last++;
	  if (dch[i].ch[5].last==reg.xpix) {dch[i].ch[5].last=0; dch[i].ch[5].addfirst=1;}
	  if (dch[i].ch[5].addfirst) dch[i].ch[5].first++;
	  if (dch[i].ch[5].first==reg.xpix) dch[i].ch[5].first=0;
	}
	if (dch[i].ch[6].active) {
	  if (dmin[6]!=5000) 
	    dch[i].ch[6].min[dch[i].ch[6].last]=dmin[6];
	  else
	    dch[i].ch[6].min[dch[i].ch[6].last]=dydt_min_r[i];
	  if (dmax[6]!=-5000) 
	    dch[i].ch[6].max[dch[i].ch[6].last]=dmax[6];
	  else
	    dch[i].ch[6].max[dch[i].ch[6].last]=dydt_min_r[i];
	  dch[i].ch[6].last++;
	  if (dch[i].ch[6].last==reg.xpix) {dch[i].ch[6].last=0; dch[i].ch[6].addfirst=1;}
	  if (dch[i].ch[6].addfirst) dch[i].ch[6].first++;
	  if (dch[i].ch[6].first==reg.xpix) dch[i].ch[6].first=0;
	}
      }
    }
  }

  if (drawit) redraw(XtWindow(drawing_a));

  if (reg.resize) {
    XtVaGetValues(drawing_a, XmNwidth, &reg.xpix, NULL);
    reg.xpix-=LMAR;
    reg.nbuf = reg.length*reg.sr/reg.xpix;
    if (reg.nbuf<1) {
      reg.nbuf=1;
      reg.length=reg.nbuf*reg.xpix/reg.sr;
    }
    sprintf(s,"%d", reg.length);
    XtVaSetValues(trace_label,
		  XtVaTypedArg, XmNlabelString, XmRString, s, strlen(s)+1,
		  NULL);
    sprintf(s,"%d", reg.sr);
    XtVaSetValues(sr_label,
		  XtVaTypedArg, XmNlabelString, XmRString, s, strlen(s)+1,
		  NULL);
    for(i=0; i<8; i++) {
      if (reg.nbuf > reg.nbuftrue) {
	ch[i].buf = (char *)realloc(ch[i].buf, 2*reg.nbuf);
      }
      ch[i].min = (int *)realloc(ch[i].min, reg.xpix*sizeof(int));
      ch[i].max = (int *)realloc(ch[i].max, reg.xpix*sizeof(int));
      ch[i].first=0; ch[i].last=0; ch[i].addfirst=0; ch[i].xpos=0;
      for (j=0; j<7; j++) {
	dch[i].ch[j].min = (int *)realloc(dch[i].ch[j].min, reg.xpix*sizeof(int));
	dch[i].ch[j].max = (int *)realloc(dch[i].ch[j].max, reg.xpix*sizeof(int));
	dch[i].ch[j].first=0; dch[i].ch[j].last=0; dch[i].ch[j].addfirst=0; dch[i].ch[j].xpos=0;
      }
    }
    if (reg.nbuf > reg.nbuftrue) reg.nbuftrue=reg.nbuf;
    clearscreen(XtWindow(drawing_a));
    reg.resize=0;
  }

  return(0);
}



